Bug 496781 - yum adds multiple versions of packages in localUpdate()
yum adds multiple versions of packages in localUpdate()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 02:23 EDT by Adrin Jalali
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 11:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum log (115.92 KB, text/plain)
2009-04-21 02:23 EDT, Adrin Jalali
no flags Details

  None (edit)
Description Adrin Jalali 2009-04-21 02:23:52 EDT
Created attachment 340479 [details]
yum log

Description of problem:

Log Attached.

Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
ibus is needed by ibus-gtk-1.1.0.20090413-3.fc11.x86_64
Complete!
Comment 1 James Antill 2009-04-21 09:52:13 EDT
# yum -y --nogpg update /var/cache/yum/rawhide/packages/*.rpm

...I'm almost tempted to NaB this just for that, but anyway what then happens is:

Examining /var/cache/yum/rawhide/packages/ibus-1.1.0.20090413-3.fc11.x86_64.rpm: ibus-1.1.0.20090413-3.fc11.x86_64
Marking /var/cache/yum/rawhide/packages/ibus-1.1.0.20090413-3.fc11.x86_64.rpm as an update to ibus-1.1.0.20090407-3.fc11.x86_64
Examining /var/cache/yum/rawhide/packages/ibus-1.1.0.20090417-1.fc11.x86_64.rpm: ibus-1.1.0.20090417-1.fc11.x86_64
Marking /var/cache/yum/rawhide/packages/ibus-1.1.0.20090417-1.fc11.x86_64.rpm as an update to ibus-1.1.0.20090407-3.fc11.x86_64

...leading to:

==========================================================================================================================================================================================================
 Package                           Arch         Version                                     Repository                                                                                               Size
==========================================================================================================================================================================================================

Updating:
[...]
 ibus                              x86_64       1.1.0.20090413-3.fc11                       /var/cache/yum/rawhide/packages/ibus-1.1.0.20090413-3.fc11.x86_64.rpm                                   1.6 M
 ibus                              x86_64       1.1.0.20090417-1.fc11                       /var/cache/yum/rawhide/packages/ibus-1.1.0.20090417-1.fc11.x86_64.rpm                                   1.6 M

...which rpm complains about.
Comment 2 seth vidal 2009-04-21 11:50:58 EDT
fixed in upstream with this patch:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=1ed2b73a8fff4efdb14cc0079a6a1f19f76f9a9c


If you can, give it a test and see if it helps this situation for you.

Note You need to log in before you can comment on or make changes to this bug.